From f9ca24002c7cda80fbd07d5995941c103630cdc9 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 10 2025 19:03:26 +0000
Subject: F42: Update for final


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 79e129c..5eaf60b 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,9 +217,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "failable": ["*"]
       },
@@ -229,9 +229,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "failable": ["*"]
         "manifest_type": "dvd-ostree",
@@ -242,9 +242,9 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT_Simplified_Provisioner",
         "customizations": {"installation_device": "/dev/vda"},
         "failable": ["*"],
@@ -263,11 +263,11 @@ ostree = {
             "config_branch": "f42",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -280,7 +280,7 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/base-images",
         "config_branch": "main",
         "treefile": "fedora-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
@@ -289,7 +289,7 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
         "config_branch": "main",
         "treefile": "fedora-iot-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index 6a7e03f..f0af86f 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,7 +47,7 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="41"
+current_stable="42"
 # Define what is rawhide so we know to push that tag
 current_rawhide="43"
 # Sanity checking

